From 9bb2bc31c22f41531ab297f272ff5ac7ab4a3b31 Mon Sep 17 00:00:00 2001
From: "Jonathan S. Katz" <jonathan.katz@excoventures.com>
Date: Fri, 2 Oct 2020 21:32:18 -0400
Subject: [PATCH] Add confirmation checkbox for submitting bug report

This adds a checkbox at the bottom of the bug report form so
that a submitter can confirm that they are OK with their
report being sent to the pgsql-bugs@ mailing list + archives.
This also updates the submit button language.
---
 pgweb/misc/forms.py | 2 ++
 pgweb/misc/views.py | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

diff --git a/pgweb/misc/forms.py b/pgweb/misc/forms.py
index e327cb9..2748a8c 100644
--- a/pgweb/misc/forms.py
+++ b/pgweb/misc/forms.py
@@ -27,6 +27,8 @@ class SubmitBugForm(forms.Form):
     shortdesc = forms.CharField(max_length=100, required=True,
                                 label="Short description")
     details = forms.CharField(required=True, widget=forms.Textarea)
+    confirm = forms.BooleanField(required=True,
+                                 label="I agree that all contents of the bug report, including my personal information as listed, will be posted to the public pgsql-bugs mailing list and archives.")
 
     def __init__(self, *args, **kwargs):
         super(SubmitBugForm, self).__init__(*args, **kwargs)
diff --git a/pgweb/misc/views.py b/pgweb/misc/views.py
index 10356e6..1e367c5 100644
--- a/pgweb/misc/views.py
+++ b/pgweb/misc/views.py
@@ -71,7 +71,7 @@ def submitbug(request):
         'form_intro': template_to_string('misc/bug_header.html', {
             'supportedversions': versions,
         }),
-        'savebutton': 'Submit and Send Email',
+        'savebutton': 'Submit Bug Report',
     })
 
 
-- 
2.21.1 (Apple Git-122.3)

